<i18n>
  {
    "fr": {
      "title": "TODO",
      "info-1": "TODO"
    },
    "en": {
      "title": "TODO",
      "info-1": "TODO"
    }
  }
  </i18n>

<template>
  <section class="hero is-default is-bold">
    <div class="hero-body">
      <div class="container">
        <su-service :icon="'crosshairs'">
          <template #title>
            {{ $t('title') }}
          </template>
          <p>
            {{ $t('info-1') }}
          </p>
        </su-service>
        <br />
        <contrails-switch
          :withContrails.sync="withContrails"
        />
        <trajectory-editor
          v-if="loaded"
          :withContrails="withContrails"
        />
      </div>
    </div>
  </section>
</template>

<script>
import { mapGetters } from 'vuex'

export default {
  name: 'Scenario1point5',
  data () {
    return {
      loaded: false,
      withContrails: true
    }
  },
  components: {
    'su-service': () => import('@/components/SUService.vue'),
    'trajectory-editor': () => import('@/components/scenario/TrajectoryEditor.vue'),
    'contrails-switch': () => import('@/components/carbon/utils/ContrailsSwitch.vue')
  },
  computed: {
    ...mapGetters('authentication', ['isAuthenticated']),
    uuid: function () {
      return this.$route.params.uuid
    },
    scenario: function () {
      return this.$store.getters['scenario/item']
    }
  },
  mounted () {
    if (this.isAuthenticated) {
      const loadingComponent = this.$buefy.loading.open({
        container: null
      })
      this.$store.dispatch('admin/getAllGHGI')
        .then(data => {
          if (this.uuid) {
            this.$store.dispatch('scenario/set', this.uuid)
              .then(data => {
                this.loaded = true
                loadingComponent.close()
              })
            loadingComponent.close()
          } else {
            this.loaded = true
            this.$store.dispatch('scenario/setEmpty')
            loadingComponent.close()
          }
        })
        .catch((erreur) => {
          loadingComponent.close()
        })
    }
  }
}
</script>
